xine-lib: xine_event_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_event_t Struct Reference

`#include <xine.h>`

## Data Fields
xine_stream_t * | stream
void * | data
int | data_length
int | type
struct timeval | tv

## Field Documentation

## ◆ data

void* xine_event_t::data

Referenced by dvb_event_handler(), dxr3_spudec_decode_data(), event_handler(), http_plugin_read_metainf(), spudec_decode_data(), vcd_handle_events(), vcd_update_title_display(), vdr_audio_port_put_buffer(), vdr_video_draw(), xine_event_dispose_queue(), and xine_event_send().

## ◆ data_length

int xine_event_t::data_length

Referenced by _x_demux_send_mrl_reference(), audio_decoder_loop(), demux_ts_parse_pmt(), event_handler(), http_plugin_read_metainf(), send_header(), vcd_update_title_display(), video_decoder_loop(), xine_event_dispose_queue(), and xine_event_send().

## ◆ stream

xine_stream_t* xine_event_t::stream

Referenced by http_plugin_read_metainf(), vcd_update_title_display(), xine_event_dispose_queue(), and xine_event_send().

## ◆ tv

struct timeval xine_event_t::tv

Referenced by _x_flush_events_queues(), pvr_finish_recording(), pvr_report_realtime(), xine_event_dispose_queue(), and xine_event_send().

## ◆ type

int xine_event_t::type

Referenced by audio_decoder_loop(), deinterlace_draw(), demux_ts_parse_pmt(), dvb_event_handler(), dvd_handle_events(), dvd_plugin_open(), dvd_plugin_read_block(), dxr3_spudec_decode_data(), dxr3_spudec_process_nav(), event_handler(), event_handler_external(), handle_events(), handle_events(), http_plugin_read_int(), http_plugin_read_metainf(), ogg_handle_event(), pvr_event_handler(), pvr_report_realtime(), send_header(), send_mouse_enter_leave_event(), spudec_decode_data(), spudec_decode_data(), stream_flush(), stream_reset(), update_chapter_display(), update_title_display(), update_title_name(), v4l_event_handler(), vcd_handle_events(), vcd_update_title_display(), vdr_audio_port_put_buffer(), vdr_execute_rpc_command(), vdr_video_draw(), vdr_vpts_offset_queue_add(), video_decoder_loop(), xine_event_dispose_queue(), xine_event_send(), and xine_event_wait_locked().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine.h